#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mimetypes )
add_subdirectory( skins )
add_subdirectory( vis )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${CMAKE_BINARY_DIR}/noatun/library
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tdeio
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatun_winskin (module) ###################

tde_add_kpart( noatun_winskin AUTOMOC
  SOURCES
    fileInfo.cpp
    guiSpectrumAnalyser.cpp
    plugin.cpp
    waBalanceSlider.cpp
    waButton.cpp
    waClutterbar.cpp
    waColor.cpp
    waDigit.cpp
    waInfo.cpp
    waIndicator.cpp
    waJumpSlider.cpp
    waLabel.cpp
    waMain.cpp
    waRegion.cpp
    waSkin.cpp
    waSkinModel.cpp
    waSlider.cpp
    waStatus.cpp
    waTitleBar.cpp
    waVolumeSlider.cpp
    waWidget.cpp
    winSkinConfig.cpp
    winSkinVis.cpp
    waSkinManager.cpp
    waSkinManager.skel
  LINK
    tdeio-shared noatun-shared winskinvis-shared
    mcop qtmcop kmedia2_idl soundserver_idl
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES winskin.plugin DESTINATION ${DATA_INSTALL_DIR}/noatun )
